autopilot = {
  "cluster": {
    "name": "autopilot-cluster-1",
    "network": "projects/ts-ntnu-v2021-stm-ep3j/global/networks/default",
    "subnetwork": "projects/ts-ntnu-v2021-stm-ep3j/regions/europe-west3/subnetworks/default",
    "networkPolicy": {},
    "ipAllocationPolicy": {
      "useIpAliases": True,
      "clusterIpv4CidrBlock": "/17",
      "servicesIpv4CidrBlock": "/22"
    },
    "masterAuthorizedNetworksConfig": {},
    "networkConfig": {
      "enableIntraNodeVisibility": True
    },
    "privateClusterConfig": {},
    "verticalPodAutoscaling": {
      "enabled": True
    },
    "releaseChannel": {
      "channel": "REGULAR"
    },
    "notificationConfig": {
      "pubsub": {}
    },
    "initialClusterVersion": "1.18.16-gke.502",
    "location": "europe-west3",
    "autopilot": {
      "enabled": True
    }
  }
}

standard = {
  "cluster": {
    "name": "cluster-4",
    "masterAuth": {
      "clientCertificateConfig": {}
    },
    "network": "projects/ts-ntnu-v2021-stm-ep3j/global/networks/default",
    "addonsConfig": {
      "httpLoadBalancing": {},
      "horizontalPodAutoscaling": {},
      "kubernetesDashboard": {
        "disabled": True
      },
      "dnsCacheConfig": {},
      "gcePersistentDiskCsiDriverConfig": {
        "enabled": True
      }
    },
    "subnetwork": "projects/ts-ntnu-v2021-stm-ep3j/regions/europe-west3/subnetworks/default",
    "nodePools": [
      {
        "name": "default-pool",
        "config": {
          "machineType": "n1-standard-4",
          "diskSizeGb": 100,
          "oauthScopes": [
            "https://www.googleapis.com/auth/cloud-platform"
          ],
          "metadata": {
            "disable-legacy-endpoints": "true"
          },
          "imageType": "COS",
          "diskType": "pd-standard",
          "shieldedInstanceConfig": {
            "enableIntegrityMonitoring": True
          }
        },
        "initialNodeCount": 3,
        "autoscaling": {},
        "management": {
          "autoUpgrade": True,
          "autoRepair": True
        },
        "upgradeSettings": {
          "maxSurge": 1
        }
      }
    ],
    "locations": [
      "europe-west3-a"
    ],
    "networkPolicy": {},
    "ipAllocationPolicy": {
      "useIpAliases": True
    },
    "masterAuthorizedNetworksConfig": {},
    "autoscaling": {},
    "defaultMaxPodsConstraint": {
      "maxPodsPerNode": "110"
    },
    "authenticatorGroupsConfig": {},
    "databaseEncryption": {
      "state": "DECRYPTED"
    },
    "shieldedNodes": {
      "enabled": True
    },
    "releaseChannel": {
      "channel": "REGULAR"
    },
    "clusterTelemetry": {
      "type": "ENABLED"
    },
    "notificationConfig": {
      "pubsub": {}
    },
    "initialClusterVersion": "1.18.16-gke.502",
    "location": "europe-west3-a"
  }
}
